Package org.apache.qpid.proton.amqp.transport

# Class ErrorCondition

java.lang.Object
org.apache.qpid.proton.amqp.transport.ErrorCondition

public final class ErrorCondition extends Object

## Constructor Summary

Constructors
Constructor
Description
`ErrorCondition()`
`ErrorCondition(Symbol condition, String description)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`copyFrom(ErrorCondition condition)`
`boolean`
`equals(Object o)`
`Symbol`
`getCondition()`
`String`
`getDescription()`
`Map`
`getInfo()`
`int`
`hashCode()`
`void`
`setCondition(Symbol condition)`
`void`
`setDescription(String description)`
`void`
`setInfo(Map info)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ErrorCondition

public ErrorCondition()

### ErrorCondition

public ErrorCondition(Symbol condition, String description)

## Method Details

### getCondition

public Symbol getCondition()

### setCondition

public void setCondition(Symbol condition)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getInfo

public Map getInfo()

### setInfo

public void setInfo(Map info)

### clear

public void clear()

### copyFrom

public void copyFrom(ErrorCondition condition)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`